type Options = {
    /**
     * The title of the action in the context menu.
     */
    title?: string;
    /**
     * If the user accepts the new permission, they will be asked to reload the current tab.
     * Set a `string` to customize the message and `false` (default) to avoid the reload and its request.
     */
    reloadOnSuccess?: string | boolean;
};
/**
 * Adds an item to the browser action icon's context menu.
 * The user can access this menu by right clicking the icon. If your extension doesn't have any action or
 * popup assigned to the icon, it will also appear with a left click.
 *
 * @param options {Options}
 */
export default function addDomainPermissionToggle(options?: Options): void;
export {};
